Recent

Author Topic: fpcupdeluxe 64bit darwin - compile error with virtualtreeviewnew / lclextensions  (Read 5510 times)

MISV

  • Hero Member
  • *****
  • Posts: 652
Can anyone reproduce this problem.

Clean install, just downloaded
fpcupdeluxe-x86_64-darwin-cocoa.app.zip
from
https://github.com/newpascal/fpcupdeluxe/releases

after initial "trunk" install into a new directory, I try install "virtualtreeviewnew"

However that results in this error

Quote
rwin for x86_64
(3104) Compiling lclextensions_package.pas
(3104) Compiling delphicompat.pas
/Users/examplename/EN/lazaruscoc64bit/ccr/luipack/lclextensions/delphicompat.pas(137,2) Fatal: (2013) Cannot open include file "uses.inc"
Fatal: (1018) Compilation aborted
Error: /Users/examplename/EN/lazaruscoc64bit/fpc/bin/x86_64-darwin/ppcx64 returned an error exitcode
Error: (lazarus) Compile package lclextensions_package 0.6.1: stopped with exit code 256
Error: /Users/examplename/EN/lazaruscoc64bit/fpc/bin/x86_64-darwin/ppcx64 returned an error exitcode
Error: (lazarus) Compile package lclextensions_package 0.6.1: stopped with exit code 256

for x86_64
(1002) Target OS: Darwin for x86_64
(3104) Compiling lazcontrols.pas
Error: (lazarus) Compile package Printer4Lazarus 0.5: terminated
Error: (lazarus) Compile package LazControls 1.0.1: terminated
Error: (lazarus) Compile package SynEdit 1.0: term9001) Assembling (pipe) /Users/examplename/EN/lazaruscoc64bit/lazarus/compo
Error: (lazarus) Compile package Printer4Lazarus 0.5: terminated
Error: (lazarus) Compile package LazControls 1.0.1: terminated

inated
Error: (lazarus) [TLazPackageGraph.CompileRequiredPackages] "Exit code 256"


fpcupdeluxe: ERROR: UniversalInstaller (ConfigModule: luipack): Failure trying to rebuild Lazarus.
Details:
fpcupdeluxe: ERROR: UniversalInstaller (ConfigModule: luipack): Failure trying to rebuild Lazarus.
Details:



ERROR: Fpcupdeluxe fatal error !


bug report here
https://bugs.freepascal.org/view.php?id=33973
« Last Edit: August 15, 2018, 10:03:34 am by MISV »

DonAlfredo

  • Hero Member
  • *****
  • Posts: 1170
Fpcupdeluxe uses online sources to install packages.
However, these sources are fast changing and moving all the time.

Now it seems that these vtv-sources are no longer updated due to the fact that they are included (again) with Lazarus !

So, just install the latest vtv by installing the vtv that comes with Lazarus.
This vtv is also used by the very nice OPM !

See:
\lazarus\components\virtualtreeview\virtualtreeview_package.lpk
\lazarus\components\onlinepackagemanager\onlinepackagemanager.lpk

I will update fpcupdeluxe to use these packages !
See next release (not released yet, but will release in a few days).

EDIT.

I have uploaded a pre-release.
Feel free to try:
https://github.com/newpascal/fpcupdeluxe/releases/tag/v1.6.1h
« Last Edit: August 15, 2018, 01:12:43 pm by DonAlfredo »

MISV

  • Hero Member
  • *****
  • Posts: 652
Thank you for the explanation - I have added the information to the bug report.

VTwin

  • Hero Member
  • *****
  • Posts: 793
  • Former Turbo Pascal 3 user
I've had good luck with svn update.
“Talk is cheap. Show me the code.” -Linus Torvalds

macOS 10.13.6: Lazarus 2.0.7 fixes svn 62300 (64 bit Cocoa)
Ubuntu 18.04.3: Lazarus 2.0.6 (64 bit on VBox)
Windows 7 Pro SP1: Lazarus 2.0.6 (64 bit on VBox)
fpc 3.0.4